<div class="app-dropdown-tree-view">
    <kendo-dropdowntree
        #dTreeView
        class="app-kdt"
        kendoDropDownTreeExpandable
        [kendoDropDownTreeHierarchyBinding]="data"
        [textField]="textField"
        [valueField]="valueField"
        [filterable]="filterable"
        [expandOnFilter]="filterExpandSettings"
        [value]="value"
        [clearButton]="false"
        [popupSettings]="{popupClass: 'app-kdt-popup'}"
        [childrenField]="childrenField"
        (valueChange)="changeVal($event)"
        (close)="onClose($event)"
        >
        <!-- [valuePrimitive]="true" -->
    </kendo-dropdowntree>
    <ng-content></ng-content>
</div>
